#ifndef _RenderSampler_H__
#define _RenderSampler_H__

#include <fstream>
//

#include "Preprocessor.h"

namespace GtpVisibilityPreprocessor {

class Exporter;

/** Sampling based visibility preprocessing. The implementation is based on heuristical
    sampling of view space */
class RenderSampler : public Preprocessor {

public:
  int mSamples;
  
  RenderSampler();
  ~RenderSampler() {}
  
  virtual bool ComputeVisibility();
  
  
protected:
  ofstream mStats;
  
};

};

#endif
