#ifndef __OBJECTSPARSER_H
#define __OBJECTSPARSER_H

#include "Parser.h"
#include "Containers.h"

namespace GtpVisibilityPreprocessor {

class ViewCellsManager;
class VspBspTree;
class BoundingBoxConverter;
class Environment;

class ObjectsParser: public Parser
{
public:
	
	ObjectsParser(): Parser() {}
  
	bool ParseObjects(const std::string &filename, 
					  ObjectContainer &pvsObjects,
					  const ObjectContainer &preprocessorObjects);
};

}

#endif
