#ifndef __PLYPARSER_H
#define __PLYPARSER_H

#include "Parser.h"
#include "Containers.h"

namespace GtpVisibilityPreprocessor {

class ViewCellsManager;

class PlyParser : public Parser
{
public:
  PlyParser():Parser() {}
  
  bool ParseFile(const std::string filename,
				 SceneGraphNode *root,
				 const bool loadMeshes = true,
				 std::vector<FaceParentInfo> *parents = NULL);

  bool ParseFile(const std::string filename, ViewCellsManager &viewCells) { return false; }

  bool
  ParseSingleFile(const std::string filename,
				  SceneGraphNode *root);
	
};

}

#endif
